<?php

class bProduit_categorie extends BackModule {

    function Form($formvars = array()) {

        // SQL
        if (!empty($formvars['id'])) {
            $this->request = getTable('produit_categorie', $formvars['id']);
        }
        //-- SQL
        // Champs du formulaire
        $form = new BackForm("Produit ID", "hidden", "produit_id");
        $this->addForm($form);

        $form = new BackForm("Catégorie", "select", "categorie_id");
        $form->addAttr('class', 'required');
        $form->addOption("NULL", "---");
        $form->addCategorieRecursive("","","","1");
        $this->addForm($form);
        //-- Champs du formulaire

        if (!isset($formvars['id']))
            $formvars['id'] = 0;
        return $this->displayForm($formvars['id'], $formvars['div']);
    }

    function Listing($formvars = array()) {

        // SQL
        $sql = "SELECT pc.produit_categorie_id";
        $sql.=", pc.produit_categorie_id";
        $sql.=", IF(cpar.categorie_id IS NOT NULL, CONCAT(IF(cparn2.categorie_id IS NOT NULL, CONCAT(cparn2.categorie_nom_nom, ' > '),''), cparn.categorie_nom_nom, ' > ', cn.categorie_nom_nom),  cn.categorie_nom_nom)";
        $sql.=" FROM (produit_categorie pc)";
        $sql.=" LEFT JOIN categorie c ON (c.categorie_id = pc.categorie_id)";
        $sql.=" LEFT JOIN categorie_nom cn ON (cn.categorie_id = c.categorie_id AND cn.langue_id='" . LANGUE . "')";
        $sql.=" LEFT JOIN categorie cpar ON (cpar.categorie_id = c.parent_id)";
        $sql.=" LEFT JOIN categorie_nom cparn ON (cparn.categorie_id = cpar.categorie_id AND cparn.langue_id='" . LANGUE . "')";
        $sql.=" LEFT JOIN categorie_nom cparn2 ON (cparn2.categorie_id = cpar.parent_id AND cparn2.langue_id='" . LANGUE . "')";
        $sql.=" WHERE 1";
        if (!empty($formvars['produit']))
            $sql.=" AND pc.produit_id = '" . $formvars['produit'] . "'";

        $this->request = $sql;
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("NOM");
        $this->addLabel($label);
        //-- LABELS

        return $this->displayList($formvars['type']);
    }

//--
}