{assign var="tabStyle" value="text-align:center;width: 100%;border-collapse: collapse;font-size:9pt;"}
{assign var="tBorder" value="border: .5px solid #000000;"}
{assign var="thStyle" value="border: .5px solid #000000;"}
{assign var="tdStyle" value="border: .5px solid #000000;background-color:#eeeeee;"}
{assign var="tdFinalStyle" value="border: .5px solid #000000;background-color:#bbb;text-align:right;"}
{assign var="bSides" value="border-left: .6px solid #000000;border-right: .5px solid #000000;"}
{assign var="bTop" value="border-top: .6px solid #000000;"}
{assign var="bBot" value="border-bottom: .6px solid #000000;"}
{assign var="bAll" value="border: .6px solid #000000;"}
{assign var="tLeft" value="text-align:left;"}
{assign var="tRight" value="text-align:right;"}
{assign var="tCenter" value="text-align:center;"}
{assign var="tBold" value="font-weight:bold;"}
{assign var="cPink" value="color:#EF5685;"}
{assign var="lPink" value="height: 1px;display: block;margin: 10px auto;background: #ef5685;"}

<table style="{$tabStyle}">
    <tr>
        <td style="width:50%;text-align:left;"><img src="/mistral/css/images/common/header-pdf.png" alt="{$SITE_NAME}" height="65px" width="215px"/></td>
        <td style="width:50%;text-align:right;"><div style="width:200px;height:200px;"></div>
            <h1 style="font-size:20pt;color:#000000;"></h1>
        </td>
    </tr>
</table>

<br/><br/>

<div style="{$tabStyle}">
    <span style="{$tCenter} {$tBold}">{txt value="Participation à la commande groupée"}
        {$grouporder.group_order_nom} {txt value="du"} {$grouporder.group_order_date_ajout|date_format:"%d/%m/%Y"}</span>
    <span style="{$lPink}"></span>
</div>

{assign var="total_ht" value="0"}
{assign var="total_ttc" value="0"}
{assign var="qte_total" value="0"}
{foreach from=$customers item="customer" key=cK}
    {if !empty($wishlist.$cK.products)}
        <p class="{$tCenter} {$tBold}"><span style="{$tCenter} {$tBold}">{txt value="Collaborateur"}
                : </span>{$customer.customer_lastname} {$customer.customer_firstname}</p>
            <table style="{$tabStyle}">
                <tr style="{$tCenter}">
                    <th style="{$thStyle}" width="20%">{txt value="Référence"}</th>
                    <th style="{$thStyle}" width="40%">{txt value="Désignation"}</th>
                    <th style="{$thStyle}" width="10%">{txt value="PU"}</th>
                    <th style="{$thStyle}" width="10%">{txt value="Quantité"}</th>
                    <th style="{$thStyle}" width="20%">{txt value="Total"}</th>
                </tr>
                {assign var="customer_total_ht" value="0"}
                {assign var="customer_total_ttc" value="0"}
                {assign var="customer_qte_total" value="0"}
                {foreach from=$wishlist.$cK.products item="product"}
                    <tr style="{$tCenter}">
                        <td style="{$tLeft}{$tBorder}">{$product.produit_ref}</td>
                        <td style="{$tLeft}{$tBorder}">{$product.produit_nom_nom}</td>
                        <td style="{$tRight}{$tBorder}">{price ht=$product.attribut_produit_prix_ht ttc=$product.attribut_produit_prix_ttc notag=true}</td>
                        <td style="{$tRight}{$tBorder}">{$product.produit_list_produit_qte}</td>
                        <td style="{$tRight}{$tBorder}">
                            <span class="pink bold">
                                {price
                                ht=$product.attribut_produit_prix_ht*$product.produit_list_produit_qte
                                ttc=$product.attribut_produit_prix_ttc*$product.produit_list_produit_qte
                                notag=true}
                            </span>
                        </td>
                    </tr>
                    {assign var="customer_total_ht" value=$customer_total_ht + ($product.attribut_produit_prix_ht*$product.produit_list_produit_qte)}
                    {assign var="customer_total_ttc" value=$customer_total_ttc + ($product.attribut_produit_prix_ttc*$product.produit_list_produit_qte)}
                    {assign var="customer_qte_total" value=$customer_qte_total + $product.produit_list_produit_qte}

                    {assign var="total_ht" value=$total_ht + ($product.attribut_produit_prix_ht*$product.produit_list_produit_qte)}
                    {assign var="total_ttc" value=$total_ttc + ($product.attribut_produit_prix_ttc*$product.produit_list_produit_qte)}
                    {assign var="qte_total" value=$qte_total + $product.produit_list_produit_qte}
                    {foreachelse}
                    <tr>
                        <td colspan="5" class="empty">{txt value="Aucun produit ne se trouve sur cette liste."}</td>
                    </tr>
                {/foreach}
                {if !empty($wishlist.$cK.products)}
                    <tr style="{$tCenter}">
                        <td style="{$tdStyle}" colspan="2">&nbsp;</td>
                        <td style="{$tdStyle}{$tRight}"><span style="{$tRight}{$tBold}">{txt value="Total"}</span></td>
                        <td style="{$tdStyle}{$tRight}"><span style="{$tRight}{$tBold}">{$customer_qte_total}</span></td>
                        <td style="{$tdStyle}{$tRight}">
                            <span style="{$tCenter} {$tBold}">
                                {price
                                ht=$customer_total_ht
                                ttc=$customer_total_ttc
                                notag=true}
                            </span>
                        </td>
                    </tr>
                {/if}
            </table>
    {/if}
{/foreach}
{if !empty($customers)}
    <br>
    <br>
    <br>
    <table style="{$tabStyle}">
        <tr style="{$tCenter}">
            <td width="60%" colspan="2"></td>
            <td style="{$tdFinalStyle}" width="10%"><span style="{$tRight} {$tBold}">{txt value="Total"}</span></td>
            <td style="{$tdFinalStyle}" width="10%"><span style="{$tRight} {$tBold}">{$qte_total}</span></td>
            <td style="{$tdFinalStyle}" width="20%">
                                <span style="{$tCenter} {$tBold}">
                                    {price
                                    ht=$total_ht
                                    ttc=$total_ttc
                                    notag=true}
                                </span>
            </td>
        </tr>
    </table>
{/if}
