<?php

class Email {

    /**
     * @deprecated
     *
     * @param array $formvars
     * @return bool
     */
    function sendFromTxt($formvars=array()) {

        // si pas d'expediteur on quitte
        if (empty($formvars['to']))
            return false;

        // expediteur par defaut
        if (empty($formvars['fromName']))
            $formvars['fromName'] = CONTACT_EMAIL_NAME;
        if (empty($formvars['fromMail']))
            $formvars['fromMail'] = CONTACT_EMAIL;

        // recuperation des textes
        $texte = new Texte;
        $html = $texte->getOne($formvars['texte'] . '_HTML', true, $formvars['tags']);
        $txt = $texte->getOne($formvars['texte'] . '_TXT', true, $formvars['tags']);
        $sujet = $texte->getOne($formvars['texte'] . '_Sujet', true, $formvars['tags']);

        $this->send($formvars['fromName'], $formvars['fromMail'], $formvars['to'], $sujet, $html, $txt, @$formvars['files'], @$formvars['layout']);
    }

    /**
     * @deprecated
     *
     * @param $fromName
     * @param $fromMail
     * @param $to
     * @param $subject
     * @param $html
     * @param string $txt
     * @param string $file
     * @param string $layout
     *
     * @throws Exception
     * @throws SmartyException
     * @throws phpmailerException
     */
    function send($fromName, $fromMail, $to, $subject, $html, $txt="", $file="", $layout = "") {

        $files = array();
        if (!empty($file)) {
            if (is_array($file)) {
                foreach ($file as $f) {
                    $files[] = $f['tmp_name'];
                }
            } else {
                $files[] = $file['tmp_name'];
            }
        }

        Application::getEmailSender()
            ->send(EmailSender::createMessage($to, $subject, $html, array($fromMail => $fromName), $files, $layout));
    }

}