<?php

use Symfony\Component\EventDispatcher\Event;

class PanierHandler {

    public function save(Event $event)
    {
        // on sauvegarde la panier en session

        $panier = $event->getPanier();

        $request = Application::getCurrentRequest();

        if ($request instanceof \Symfony\Component\HttpFoundation\Request) {
            $session = $request->getSession();
            $session->set('cart', $panier);
        }

    }
}